# $Revision: 1.26.2.2 $, $Date: 2003/04/10 13:35:24 $
%include	/usr/lib/rpm/macros.perl
Summary:	CDB_File perl module
Summary(pl):	Modu perla CDB_File
Name:		perl-CDB_File
Version:	0.93
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/CDB_File/CDB_File-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CDB_File - perl interface to CDB.

%description -l pl
CDB_File - interfejs do CDB dla perla.

%prep
%setup -q -n CDB_File-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ACKNOWLEDGE CHANGES
%{perl_sitearch}/CDB_File.pm
%dir %{perl_sitearch}/auto/CDB_File
%{perl_sitearch}/auto/CDB_File/CDB_File.bs
%attr(755,root,root) %{perl_sitearch}/auto/CDB_File/CDB_File.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-CDB_File.spec,v $
Revision 1.26.2.2  2003/04/10 13:35:24  ankry
- autoupdated to 0.93

Revision 1.26.2.1  2003/03/13 00:56:40  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.26  2003/02/25 00:36:49  radek
- use the __perl macro

Revision 1.25  2003/02/18 15:26:54  ankry
- massive attack: change CPAN URLs

Revision 1.24  2003/01/07 13:10:49  mis
- autoupdated to 0.92

Revision 1.23  2002/11/26 00:13:53  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.22  2002/05/11 20:23:08  areq
- 0.91, STBR

Revision 1.21  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.20  2002/03/03 21:18:18  marcus
- rel.2.

Revision 1.19  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/10 15:39:12  depesz
adapterized

Revision 1.17  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.16  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/09/10 20:21:00  qboosh
- updated %%files: autosplit.ix and multi_get.al no longer exist

Revision 1.14  2001/09/10 08:51:41  kloczek
- updated to 0.86.

Revision 1.13  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.12  2001/04/17 12:05:40  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/29 15:08:56  baggins
- updated to 0.84

Revision 1.9  2000/12/28 01:18:30  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.8  2000/08/27 17:51:59  kloczek
- updated to 0.8,
- new Source url.

Revision 1.7  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/27 20:45:35  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
